[@rxap/forms](../wiki/globals) / FormLoadMethod

# Interface: FormLoadMethod\<FormState, Context, Initial\>

Defined in: [packages/angular/forms/src/lib/directives/models.ts:10](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/models.ts#L10)

## Extends

- `Method`\<`FormState`\>

## Type Parameters

• **FormState** = `any`

• **Context** = `any`

• **Initial** = `any`

## Properties

### metadata?

> `optional` **metadata**: `any`

Defined in: [packages/pattern/src/lib/meta-data.ts:2](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/pattern/src/lib/meta-data.ts#L2)

#### Inherited from

`Method.metadata`

## Methods

### call()

> **call**(`data`): `FormState` \| `Promise`\<`FormState`\>

Defined in: [packages/angular/forms/src/lib/directives/models.ts:11](https://gitlab.com/rxap/packages/-/blob/36b0e9732b24717840935712e316593ff6aba795/packages/angular/forms/src/lib/directives/models.ts#L11)

#### Parameters

##### data

###### context

`null` \| `Context`

###### initial

`null` \| `Initial`

#### Returns

`FormState` \| `Promise`\<`FormState`\>

#### Overrides

`Method.call`
